#!/bin/sh
# cap_stats.sh
#
# Copyright 2012, Michael Kerrisk, licensed under GNU GPLv2 or later
#
# Used to analyze output logs produced by count_kernel_cap_uses.sh
#
# Example usage:
#
#       sh cap_stats CAP_*p2*.log

TFILE=/tmp/f.$$
rm -f $TFILE
for c in $*; do
     cap=$(echo $c| sed 's/\..*//')
     lcnt=$(cat $c | wc -l)
     fcnt=$(cat $c | awk -F':' '{print $1}' | sort -u | wc -l)
     echo $cap $lcnt $fcnt >> $TFILE
done

cat $TFILE | awk '
BEGIN {
        print "Capability             #uses  #files"
}
{
        printf "%-22s %4d    %4d\n", $1, $2, $3
	ttot += $2
	ftot += $3
}
END {
	printf "%-22s %4d    %4d\n", "Total", ttot, ftot
}
'
